package com.ads.business.service;

import com.ads.business.service.data.GetLoginInData;
import com.ads.business.service.data.GetLoginOutData;
import com.ads.common.data.JsonResult;

/**
 * @Return
 * @Author hou
 * @Date 2021/10/21 16:22
 * @Destription
 */
public interface LoginService {
    JsonResult<GetLoginOutData> login(GetLoginInData inData);

    JsonResult logout(String token);

    JsonResult resetPassword(GetLoginInData inData);

    JsonResult updatePassword(GetLoginInData inData);
}
